安装了fcitx3.5,但用im时出现问题(已解决)

系统字体配置、中文显示和输入法问题
回复
yeen
帖子: 14
注册时间: 2007-08-15 21:08
送出感谢: 0
接收感谢: 0

安装了fcitx3.5,但用im时出现问题(已解决)

#1

帖子 yeen » 2007-08-15 21:23

我安装了fcitx3.5,没有出现问题,直接靠双击.deb包完成。
按论坛指导,在终端里执行sudo im -switch -s fcitx,开始没有root权限,就这么做,提示没有这个命令,就按提示,通过sudo apt-get install im完成im的安装。
然后再次执行im,这次出现:
yeen@Matrix:~/tools/gsoap-linux-2.7$ im
Traceback (most recent call last):
File "/usr/bin/im", line 21, in <module>
im.run()
File "/usr/lib/python2.5/site-packages/twisted/words/scripts/im.py", line 13, in run
from twisted.internet import gtkreactor
File "/usr/lib/python2.5/site-packages/twisted/internet/gtkreactor.py", line 27, in <module>
pygtk.require('1.2')
File "/var/lib/python-support/python2.5/pygtk.py", line 85, in require
"required version '%s' not found on system" % version
AssertionError: required version '1.2' not found on system
yeen@Matrix:~/tools/gsoap-linux-2.7$
不管是用sudo或者直接在root下,都是同样的错误,请问是怎么回事?
上次由 yeen 在 2007-08-15 21:41,总共编辑 1 次。
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#2

帖子 BigSnake.NET » 2007-08-15 21:25


代码: 全选

sudo im-switch -s fcitx

而不是

代码: 全选

sudo im -switch -s fcitx


注意那里没有空格
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
yeen
帖子: 14
注册时间: 2007-08-15 21:08
送出感谢: 0
接收感谢: 0

#3

帖子 yeen » 2007-08-15 21:40

正解!呵呵,谢谢啦!
这个东西还真不能马虎呢,呵呵
sskkyy
帖子: 107
注册时间: 2007-07-26 19:18
送出感谢: 0
接收感谢: 0

#4

帖子 sskkyy » 2007-08-15 23:54

I have a problem:

After I had fcitx removed, scim doesn't work either.

and I have already run the command sudo im-switch -s scim

but I still cannot input chinese

Can anybody help me?
回复

回到 “字体美化和中文支持”